Status: Closed Priority: Should have
Author: Martin Kutschker Category: Workspaces
Created: 2006-04-13 Assigned To: Dmitry Dulepov
Updated: 2013-12-10 Due date:
TYPO3 Version: 4.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: WS icon and selecor shown even if no access
Description

The icon in the "shortcut frame" is always shown whether the user has acces to User>Workspace or not.

(issue imported from #M3254)

Related issues:
related to Core - Feature # 16626: Have the ability to hide Workspace Menu an... Closed 2006-10-07

History
#1 - 2006-07-12 11:38 - Marc Wöhlken

The problem seems to be the workspaceSelector() method in file typo3/alt_shortcut.php

How should this method behave?
Suggestion: Disable Workspace manager icon if no access to module workspace is granted. Only show the selectorbox for choosing workspace under
these circumstances.

#2 - 2006-07-19 10:36 - Martin Kutschker

Or hide it only, if the user has access to only one WS.

#3 - 2007-01-03 15:24 - Dmitry Dulepov

4.1

#4 - 2013-12-10 01:12 - Michael Stucki
- Category set to Workspaces

#5 - 2013-12-10 01:14 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces
- Target version deleted (0)
